%define name    kxstitch
%define version 0.7
%define release %mkrel 3

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Creation and editing of cross stitch patterns
Source0:        %{name}-%{version}.tar.bz2
License:        GPL
Group:          Graphics
Url:            http://kxstitch.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  kdebase-devel
BuildRequires:	ImageMagick-devel
BuildRequires:  ImageMagick


%description
Kxstitch is a program that lets you create cross stitch patterns and charts.
Patterns can be created from scratch on a user defined size of grid, which can
be enlarged or reduced in size as your pattern progresses.  Alternatively you
can import images from many graphics formats or use an image as a background. 
You can also scan images using any Sane supported scanner.
These imported images can then be modified using the supplied tools to produce
your final design.

%prep
%setup -q
%build

%configure --disable-rpath --disable-debug --with-qt-libraries=$QTDIR/%{_lib} 
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -d $RPM_BUILD_ROOT%{_menudir}
perl -pi -e 's|Comment=|Comment=Creation and editing of cross stitch patterns|' $RPM_BUILD_ROOT%{_datadir}/applnk/Graphics/%{name}.desktop
kdedesktop2mdkmenu.pl %{name} "Multimedia/Graphics" $RPM_BUILD_ROOT%{_datadir}/applnk/Graphics/%{name}.desktop $RPM_BUILD_ROOT%{_menudir}/%{name} 

install -D -m 644 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
install -d $RPM_BUILD_ROOT%{_liconsdir}
install -d $RPM_BUILD_ROOT%{_miconsdir}
convert -resize 48x48 %{buildroot}%{_iconsdir}/%{name}.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -resize 16x16 %{buildroot}%{_iconsdir}/%{name}.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING
%defattr(0755,root,root,0755)
%{_bindir}/%{name}
%defattr(0644,root,root,0755)
%{_menudir}/%{name}
%{_datadir}/applnk/Graphics/%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/icons/*/*/apps/*.png

%{_datadir}/apps/%{name}
%{_datadir}/doc/HTML/en/*
%{_mandir}/man?/%name.?.bz2

%changelog
* Wed Aug 24 2005 Oden Eriksson <oeriksson@mandriva.com> 0.7-3mdk
- rebuilt against new Magick libs

* Sun Jul 31 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7-2mdk
- Fix BuildRequires

* Fri Jul 15 2005 Couriousous <couriousous@mandriva.org> 0.7-1mdk
- 0.7

* Fri Mar 25 2005 Couriousous <couriousous@mandrake.org> 0.6-2mdk
- Rebuild

* Sun Jan 2 2005 Couriousous <couriousous@mandrake.org> 0.6-1mdk
- First Mandrakelinux package

